
/// Generic shared objects and functions for all DD4hep areas
/**
 *  \defgroup DD4HEP DD4hep classes and objects
 *  @{
 */

/**@}*/

/// DD4hep XML utilities
/**
 *  \defgroup DD4HEP_XML DD4hep::XML classes and objects
 *  Summary of all XML utilities present in the DD4hep toolkit.
 *  @{
 */
/**@}*/


/// DD4hep geometry components, classes and functions
/**
 *  \defgroup DD4HEP_GEOMETRY DD4hep::Geometry components, classes and objects
 *  @{
 */

/**@}*/

/// DD4hep Simulation components, classes and functions
/**
 *  \defgroup DD4HEP_SIMULATION DD4hep::Simulation components, classes and objects
 *  @{
 */

/**@}*/

/// DD4hep Alignment components, classes and functions
/**
 *  \defgroup DD4HEP_ALIGN DDAlign: DD4hep Detector geometry alignment components.
 *  @{
 */

/**@}*/

/// DD4hep Detector Conditions components, classes and functions
/**
 *  \defgroup DD4HEP_CONDITIONS DDCond: DD4hep Detector Conditions components, classes and functions
 *  @{
 */

/**@}*/

/// DD4hep Event display components, classes and functions
/**
 *  \defgroup DD4HEP_EVE DDEve: DD4hep event display components, classes and objects
 *  @{
 */

/**@}*/


/// XercesC internal class. Not described here.
class ErrorHandler {};

/// XercesC internal class. Not described here.
class DOMErrorHandler {};

/// LCIO stuff
/**
 *  \defgroup LCIO LCIO components, classes and objects
 *  @{
 */

/// LCIO namespace. See http://lcio.desy.de \ingroup LCIO
namespace EVENT {}

/// LCIO namespace. See http://lcio.desy.de \ingroup LCIO
namespace IMPL {}

/// LCIO namespace. See http://lcio.desy.de \ingroup LCIO
namespace IO {}

/// LCIO namespace. See http://lcio.desy.de \ingroup LCIO
namespace UTIL {}

/**@}*/
